<table>
  <thead>
    <tr>
      <th *ngFor="let column of columns; let first = first">
        <span class="title-table"
          >{{ column.label }}
          <i class="material-icons" *ngIf="!first" matTooltip="{{ column.tooltip }}" matTooltipPosition="above"
            >error_outline
          </i>
        </span>
      </th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let calculator of data">
      <td class="table1">
        <span class="num-table"
          >{{ (unit === 'ft' ? calculator.depth : calculator.depth / 3.2808) | number: '1.2-2' }}
          <span class="sub-num">{{ unit }}</span>
        </span>
      </td>
      <td>
        <span class="num-table"
          >{{ calculator.V | number: '1.2-2' }}
          <span class="sub-num">PSI</span>
        </span>
      </td>
      <td>
        <span class="num-table"
          >{{ calculator.H | number: '1.2-2' }}
          <span class="sub-num">PSI</span>
        </span>
      </td>
      <td>
        <span class="num-table"
          >{{ calculator.h | number: '1.2-2' }}
          <span class="sub-num">PSI</span>
        </span>
      </td>
      <td>
        <span class="num-table"
          >{{ calculator.P | number: '1.2-2' }}
          <span class="sub-num">PSI</span>
        </span>
      </td>
      <td>
        <span class="num-table" [ngClass]="{ red: calculator.E < 0 }">{{ calculator.E | number: '0.2-2' }} </span>
      </td>
      <td class="table7">
        <span class="num-table" [ngClass]="{ red: calculator.m < 0 }">{{ calculator.m | number: '1.2-2' }} </span>
      </td>
    </tr>
  </tbody>
</table>
